%define version 3.0.1
%define release 1

Summary: Fix resolv.conf when using dhcp
Name: zz_dhcp_resolv
Version: %{version}
Release: %{release}
License: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermi Lab
Packager: Troy Dawson
Source1: dhcp.fix.dhclient-script
BuildRoot: %{_tmppath}/%{name}-%{version}
requires: initscripts
BuildArch: noarch

%description
When using dhcp the seach line in /etc/resolv.conf would only have
dhcp.fnal.gov and not fnal.gov.  This fixes that problem.

%install
mkdir -p $RPM_BUILD_ROOT/sbin/
cp -f %{SOURCE1} $RPM_BUILD_ROOT/sbin/
chmod 755 $RPM_BUILD_ROOT/sbin/*

%files
/sbin/dhcp.fix.dhclient-script

%post
file=/sbin/dhclient-script
if [ -f $file ] ; then
	fixfile=/sbin/dhcp.fix.dhclient-script
	originalfile=/sbin/original.dhclient-script
	if ! [ -f $originalfile ] ; then
		mv -f $file $originalfile
	fi
	/bin/cp -f $fixfile $file
fi

%triggerun -- dhclient
file=/sbin/dhclient-script
if [ -f $file ] ; then
	fixfile=/sbin/dhcp.fix.dhclient-script
	originalfile=/sbin/original.dhclient-script
	if ! [ -f $originalfile ] ; then
		mv -f $file $originalfile
	fi
	/bin/cp -f $fixfile $file
fi

%postun
if [ "$1" = "0" ] ; then
	file=/sbin/dhclient-script
	originalfile=/sbin/original.dhclient-script
	if [ -f $originalfile ] ; then
		mv -f $originalfile $file 
	fi
fi

%changelog
*Wed Jan 03 2007 Troy Dawson <dawson@fnal.gov> 3.0.1-1
- Changed the dhcp.fix.dhclient-script to work with the caching-nameserver
- Updated script to be the newer dhclient-script
